---
title: Delete Route
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Magic Transit](https://developers.cloudflare.com/api/python/resources/magic_transit)

[Routes](https://developers.cloudflare.com/api/python/resources/magic_transit/subresources/routes)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Route

magic\_transit.routes.delete(strroute\_id, RouteDeleteParams\*\*kwargs) -> [RouteDeleteResponse](<https://developers.cloudflare.com/api/python/resources/magic_transit#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)>)

DELETE/accounts/{account\_id}/magic/routes/{route\_id}

Disable and remove a specific Magic static route.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic Transit Write`

##### ParametersExpand Collapse

account\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20magic_transit.routes%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

route\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20magic_transit.routes%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20route_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class RouteDeleteResponse: …

</summary>

deleted: Optional\[bool]

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted">Link to this property</a>

<details>

<summary>

deleted\_route: Optional\[DeletedRoute]

</summary>

id: str

Identifier

maxLength32

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20id">Link to this property</a>

nexthop: str

The next-hop IP Address for the static route.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20nexthop">Link to this property</a>

prefix: str

IP Prefix in Classless Inter-Domain Routing format.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20prefix">Link to this property</a>

priority: int

Priority of the static route.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20priority">Link to this property</a>

created\_on: Optional\[datetime]

When the route was created.

formatdate-time

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20created_on">Link to this property</a>

description: Optional\[str]

An optional human provided description of the static route.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20description">Link to this property</a>

modified\_on: Optional\[datetime]

When the route was last modified.

formatdate-time

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20modified_on">Link to this property</a>

<details>

<summary>

scope: Optional\[Scope]

Used only for ECMP routes.

</summary>

colo\_names: Optional\[List\[str]]

List of colo names for the ECMP scope.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20scope%20%2B%20(resource)%20magic_transit.routes%20%3E%20(model)%20scope%20%3E%20(schema)%20%3E%20(property)%20colo_names">Link to this property</a>

colo\_regions: Optional\[List\[str]]

List of colo regions for the ECMP scope.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20scope%20%2B%20(resource)%20magic_transit.routes%20%3E%20(model)%20scope%20%3E%20(schema)%20%3E%20(property)%20colo_regions">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20scope">Link to this property</a>

weight: Optional\[int]

Optional weight of the ECMP scope - if provided.

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route%20%3E%20(property)%20weight">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)%20%3E%20(property)%20deleted_route">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.routes%20%3E%20(model)%20route_delete_response%20%3E%20(schema)>)

### Delete Route

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
route = client.magic_transit.routes.delete(
    route_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(route.deleted)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "deleted": true,
    "deleted_route": {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "nexthop": "203.0.113.1",
      "prefix": "192.0.2.0/24",
      "priority": 0,
      "created_on": "2017-06-14T00:00:00Z",
      "description": "New route for new prefix 203.0.113.1",
      "modified_on": "2017-06-14T05:20:00Z",
      "scope": {
        "colo_names": [
          "den01"
        ],
        "colo_regions": [
          "APAC"
        ]
      },
      "weight": 0
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "deleted": true,
    "deleted_route": {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "nexthop": "203.0.113.1",
      "prefix": "192.0.2.0/24",
      "priority": 0,
      "created_on": "2017-06-14T00:00:00Z",
      "description": "New route for new prefix 203.0.113.1",
      "modified_on": "2017-06-14T05:20:00Z",
      "scope": {
        "colo_names": [
          "den01"
        ],
        "colo_regions": [
          "APAC"
        ]
      },
      "weight": 0
    }
  },
  "success": true
}
```